#
# spec file for package tcsh (Version 6.11.00)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         tcsh
Copyright:    1980, 1991 The Regents of the University of California
Group:        System Environment/Shells
Provides:     tcsh 
Requires:     gawk textutils
Autoreqprov:  on
Version:      6.11.00
Release:      32
Summary:      The tcsh
Source:       ftp.astron.com:/pub/tcsh/tcsh-6.11.tar.bz2
Patch:        tcsh-6.11.00.dif
Patch1:       tcsh-6.10.00-mb-enable.dif
Patch2:       tcsh_spelling.dif

%description
tcsh is an enhanced, but completely compatible, version of the Berkeley
UNIX C shell, csh(1). It is a command language interpreter usable both
as an interactive login shell and a shell script command processor. It
includes a command-line editor, programmable word completion, spelling
correction, a history mechanism, job control, and a C-like syntax.

Authors:
--------
    Christos Zoulas <christos@deshaw.com>
    Scott Krotz <krotz@mot.com>

SuSE series: ap

%prep
%setup
%patch
%patch1
%patch2

%build
    xmkmf -a
    make
    make catalogs

%install
    mkdir -p -m 0755 /usr/share/locale/et/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/fi/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/fr/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/de/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/el/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/it/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/ja/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/pl/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/ru/LC_MESSAGES
    mkdir -p -m 0755 /usr/share/locale/es/LC_MESSAGES
    make install
    make install.man
    mkdir -p %{_docdir}/tcsh
    install -m 0444 FAQ %{_docdir}/tcsh/FAQ.tcsh
    mkdir -p /etc/profile.d/
    install -m 644 SuSE/bindkey.tcsh  /etc/profile.d/
    install -m 644 SuSE/complete.tcsh /etc/profile.d/

%files
%dir %{_docdir}/tcsh
/bin/csh
/bin/tcsh
%config /etc/profile.d/bindkey.tcsh
%config /etc/profile.d/complete.tcsh
/usr/bin/csh
/usr/bin/tcsh
%doc %{_docdir}/tcsh/FAQ.tcsh
%doc /usr/share/man/man1/csh.1.gz
%doc /usr/share/man/man1/tcsh.1.gz
/usr/share/locale/*/LC_MESSAGES/tcsh

%changelog -n tcsh
* Thu Sep 06 2001 - werner@suse.de
- Update to 6.11.00 due
  * correct large file support
  * Avoid core-dumping on very long $HOME variable
  * Don't call qsort(3) with 0 items
  * Fix redrawing in the recognize case
  * MAXHOSTNAMELEN needs to be 256 (instead of 255)
  * Big5 multibyte support
  * Fix rmstar not to corrupt memory on off
* Wed May 16 2001 - werner@suse.de
- Force large file support
* Wed May 09 2001 - cstein@suse.de
- Corrected German spellings in nls/german/set6
* Wed Mar 07 2001 - werner@suse.de
- We use xmkmf therefore we need a full X environment at build
* Fri Feb 09 2001 - werner@suse.de
- Don't use the authors (endless looping) security temp file
  change but the mkstemp() function.
* Fri Feb 02 2001 - mfabian@suse.de
- update to version 6.10.00
  (because the new version has  support for display and editing of
  multibyte characters)
- add patch to enable multibyte character editing
- patch to glob.c removed (included upstream)
- patch to sh.dir.c removed (included upstream)
- patch to tw.color.c removed (incuded upstream)
- last hunk of patch to tw.h removed (included upstream)
- bzip2 sources
* Fri Dec 15 2000 - werner@suse.de
- Add missed hash for a comment.
* Wed Nov 22 2000 - werner@suse.de
- Make /etc/profile.d/bindkey.tcsh knowing about TERM kvt and gnome
* Fri Nov 17 2000 - kukuk@suse.de
- fix neededforbuild: textutil -> textutils
* Thu Nov 02 2000 - werner@suse.de
- Use mkstemp for opening tmp files for `<<' redirects
- Use TMPDIR variable for location of tmp files
- Set group tag in spec
* Wed May 24 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Wed Jan 26 2000 - werner@suse.de
- New version 6.09.00
- /usr/man -> /usr/share/man
- Fix usage of catopen (MCLoadBySet isn't that what is used
  internally within glibc, set it to MCLoadBySet)
- Avoid crahs due coloured ls-F
- Correct setpath NLS message
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - werner@suse.de
- Source key binding and completion code from
  /etc/csh.cshrc out into /etc/profile.d/bindkey.tcsh and
  /etc/profile.d/complete.tcsh
- No newgrp builtin because its equivalent to exec newgrp
* Wed Jun 16 1999 - ro@suse.de
- create localedirs before make install
* Fri Jun 11 1999 - werner@suse.de
- New version
* Fri Mar 12 1999 - 
- Fix SIGSEGV caused different sizes of FILSIZ and BUFSIZE
- New version
- Restore missed MAXNAMLEN
- Make it alpha compile
* Thu Dec 03 1998 - werner@suse.de
- Fix SIGSEGV with SYSMALOC
  * alloc n+1 not n chunks
  * set freed pointer to (ptr_t)NULL
* Wed Sep 16 1998 - werner@suse.de
- Stupid error fixed
* Tue Sep 15 1998 - werner@suse.de
- Security fix
- Avoid I/O trouble, use POSIX
* Wed Oct 22 1997 - werner@suse.de
- Updatet FAQ.tcsh
- Better installation: remove old files before linking
* Thu Jan 02 1997 - bs@suse.de
  added FAQ.tcsh
* Thu Jan 02 1997 - werner@suse.de
- Neue Version 6.07.02 mit einigen Fixes
